Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.rmi.server
Class RemoteServer

    java.lang.Object
      |
      +--weblogic.rmi.server.RemoteObject
            |
            +--weblogic.rmi.server.RemoteServer

Direct Known Subclasses:
  UnicastRemoteObject

public abstract class RemoteServer
extends RemoteObject

This abstract class is provided strictly for compatibility with java.rmi.*

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`protected` | `RemoteServer()`
`protected` | `RemoteServer(RemoteRef remoteRef)`

Method Summary
`static java.lang.String` | `getClientHost()`
`static java.io.PrintStream` | `getLog()`
`static void` | `setLog(java.io.OutputStream outputStream)`
`static boolean` | `unexportObject(java.lang.Object impl, boolean force)`

Methods inherited from class weblogic.rmi.server.RemoteObject
`toStub`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteServer

    protected RemoteServer()

### RemoteServer

    protected RemoteServer(RemoteRef remoteRef)

Method Detail

### getClientHost

    public static java.lang.String getClientHost()
                                          throws ServerNotActiveException

### setLog

    public static void setLog(java.io.OutputStream outputStream)

### getLog

    public static java.io.PrintStream getLog()

### unexportObject

    public static boolean unexportObject(java.lang.Object impl,
                                         boolean force)
                                  throws NoSuchObjectException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD